<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical"
    android:paddingTop="25mm">


    <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            app:layout_scrollFlags="scroll|enterAlwaysCollapsed|enterAlways">
            <!--scroll | snap |enterAlways-->
            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="10mm"
                app:cardCornerRadius="4dp">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="180mm"
                    android:background="@mipmap/bat_bg" />
            </androidx.cardview.widget.CardView>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="12mm">

                <ImageView
                    android:layout_width="24mm"
                    android:layout_height="24mm"
                    android:background="@mipmap/bat_notice" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="30mm"
                    android:text="通知公告"
                    android:textSize="14sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tv_more"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="24mm"
                    android:text="更多"
                    android:textColor="@color/flexible_text_sup"
                    android:textSize="12sp"
                    android:textStyle="bold" />

                <ImageView
                    android:layout_width="12mm"
                    android:layout_height="12mm"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="10mm"
                    android:background="@mipmap/bat_arrow" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="8mm">

                <View
                    android:layout_width="6mm"
                    android:layout_height="6mm"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="20mm"
                    android:background="@drawable/shape_main_circle" />

                <TextView
                    android:id="@+id/tv_notice"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="36mm" />
            </RelativeLayout>

            <View style="@style/ViewX" />

        </LinearLayout>

        <com.google.android.material.tabs.TabLayout
            android:id="@+id/tl_tab"
            android:layout_width="match_parent"
            android:layout_height="40mm"
            android:background="@android:color/white"
            app:tabBackground="@android:color/white"
            app:tabGravity="center"
            app:tabIndicatorColor="#FFFBD249"
            app:tabIndicatorFullWidth="false"
            app:tabMode="auto"
            app:tabSelectedTextColor="#FFFBD249"
            app:tabTextColor="@color/flexible_text_sup" />

    </com.google.android.material.appbar.AppBarLayout>

    <androidx.viewpager.widget.ViewPager
        android:id="@+id/vp_data"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_behavior="@string/appbar_scrolling_view_behavior" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:visibility="gone">

        <TextView
            android:id="@+id/tv_store"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="30mm"
            android:text="商店"
            android:textColor="@color/mainTextColor"
            android:textSize="20sp"
            android:textStyle="bold" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_store"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="30mm"
            android:text="审批"
            android:textColor="@color/mainTextColor"
            android:textSize="20sp"
            android:textStyle="bold" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_approval"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="30mm"
            android:text="销售部门"
            android:textColor="@color/mainTextColor"
            android:textSize="20sp"
            android:textStyle="bold" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_sale"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="30mm"
            android:text="生产部门"
            android:textColor="@color/mainTextColor"
            android:textSize="20sp"
            android:textStyle="bold" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_product"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm" />


        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="30mm"
            android:text="工作台"
            android:textColor="@color/mainTextColor"
            android:textSize="20sp"
            android:textStyle="bold" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_work"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm" />


    </LinearLayout>
</androidx.coordinatorlayout.widget.CoordinatorLayout>